%define pypi_name pyenet

Name:           python-pyenet
Version:        1.3.17
Release:        %mkrel 3
Summary:        Python wrapper for the ENet library
Group:          Development/Python
License:        BSD
URL:            https://github.com/piqueserver/pyenet/
Source0:        %{pypi_source}
Patch51:        pyenet-include-dir.patch
Patch52:        pyenet-linking.patch
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython) < 3

%description
pyenet is a python wrapper for the ENet library.

%package -n     python3-%{pypi_name}
Summary:        Python3 wrapper for the ENet library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyenet is a python wrapper for the ENet library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Drop bundled enet
rm -rf enet/

# Force Cythonizing
rm -rf *.c

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files enet

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.17-3.mga10
+ Revision: 2242313
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 1.3.17-2.mga10
+ Revision: 2159856
- rebuild for python3.13

* Mon Mar 03 2025 daviddavid <daviddavid> 1.3.17-1.mga10
+ Revision: 2159411
- new version: 1.3.17
+ wally <wally>
- rebuild for python3.13

* Fri Feb 23 2024 papoteur <papoteur> 1.3.14-3.mga10
+ Revision: 2043727
- Mass Rebuild - Python 3.12
- rebuild for cython 3

* Fri Jan 06 2023 wally <wally> 1.3.14-1.mga9
+ Revision: 1930603
- new version 1.3.14

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0-4.mga9
+ Revision: 1783222
- rebuild for python-3.10
- clean up spec file

* Mon Apr 19 2021 daviddavid <daviddavid> 0-3.mga9
+ Revision: 1717136
- rebuild for python 3.9

* Thu Oct 03 2019 daviddavid <daviddavid> 0-2.mga8
+ Revision: 1449003
- rebuild for python3.8
- drop python2 support

* Thu Jan 17 2019 zezinho <zezinho> 0-1.mga7
+ Revision: 1357823
- imported package python-pyenet

